using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KstCMS.KstCMS_Manager.Manager.Link.lb
{
    public partial class AddFrm : KstCmsBase.WebPage.FrmControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            OkBtn.Click += new EventHandler(OkBtn_Click);
            if (!IsPostBack)
            {
                SetControl();
            }
        }

        void OkBtn_Click(object sender, EventArgs e)
        {
            string[] data = new string[] { txt_LbName.Text.Trim(), txt_SortNo.Text.Trim() };
            KstCmsBase.DAL.Link.FLink.LinkLB_Insert(data, "LbName", "SortNo");
            ShowMsgModle("增加成功！", "parent.document.location.reload();");
        }

        void SetControl()
        {
            string[] Cons = new string[] { "类别名称~!", "排序~int!" };
            base.Set_Control(Cons, txt_LbName, txt_SortNo);
            txt_SortNo.Attributes.Add("onkeydown", "IsDigit();");
        }



    }
}